Subject: Re: bug#36917: 27.0.50; debbugs-gnu: Don't hardcode switch-to-buffer

From: Michael Heerdegen <[email-masked]>
Date: Wed, 21 Aug 2019 14:41:02 +0200

Noam Postavsky <[email-masked]> writes:

> > Use 'pop-to-buffer-same-window' instead of 'switch-to-buffer' to
> > display bug reports so user can configure behavior via
> > 'display-buffer-alist' (Bug#36917).
> >
> > * packages/debbugs/debbugs-gnu.el (debbugs-gnu-show-reports): Use
> > 'pop-to-buffer-same-window' to display bug reports.
>
> I think you can combine these two paragraphs.

Done.

> > I didn't have a look at the other remaining `switch-to-buffer' calls.
> > Noam, did you mean to substitute all of them?
>
> If you think you might want to control the buffer switching of those
> other functions with display-buffer-alist, then yes.

I've installed the single change for now.  I'm not familiar with the
rest of the package, so I would want to leave that to the authors.

Thanks,

Michael.